import { useCallback } from 'react';
export function useSelectMenu(inputRef) {
  var onMenuKeyDownHandler = useCallback(function (e) {
    if (e.key === 'Tab') {
      var _inputRef$current;
      (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.focus();
    }
  }, [inputRef]);
  return {
    onMenuKeyDownHandler: onMenuKeyDownHandler
  };
}